// JavaScript Document


var etalonnage2=0;var echelleh;var mesureh=0;var origineh=0;var resultath=0;
<!--

function montreh(){
eval(layerRef+cro1+"mesureh"+cro2+styleRef+".visibility = 'visible'");
eval(layerRef+cro1+"etalh"+cro2+styleRef+".visibility = 'visible'");
eval(layerRef+cro1+"mesurev"+cro2+styleRef+".visibility = 'hidden'");
eval(layerRef+cro1+"etalv"+cro2+styleRef+".visibility = 'hidden'");
etalonnage=0;etalonnage2=0;
eval(layerRef+cro1+"slid2"+cro2+styleRef+".visibility = 'visible'");
eval(layerRef+cro1+"slid1"+cro2+styleRef+".visibility = 'hidden'");
}

	
	//

	
	function instru(z){
	if(z==1){
	eval(layerRef+cro1+"instruction"+cro2+styleRef+".visibility = 'visible'");
		eval(layerRef+cro1+"fleche1"+cro2+styleRef+".visibility = 'hidden'");
		eval(layerRef+cro1+"fleche2"+cro2+styleRef+".visibility = 'visible'");
	}
	if(z==2){
	eval(layerRef+cro1+"instruction"+cro2+styleRef+".visibility = 'hidden'");
		eval(layerRef+cro1+"fleche1"+cro2+styleRef+".visibility = 'visible'");
		eval(layerRef+cro1+"fleche2"+cro2+styleRef+".visibility = 'hidden'");
	}
}

//mesures horizontales
 
function bsSliderChange2(sliderObj, val, newPos){ 
  document.f4.t1.value = val;
    if(etalonnage2==1){
document.f4.t2.value =Math.round(10000*((val*echelleh)+origineh))/10000;

}}

function resu(){//resultats
var nbper=eval(document.f10.t3.value);
var mesu1=eval(document.f10.t1.value);
var mesu2=eval(document.f10.t2.value);
var Tson=(mesu2-mesu1)/nbper;
var fson= 1/Tson;
document.f10.t4.value= (Math.round(10000*Tson)/10000)+"s";
document.f10.t5.value= (Math.round(10*fson)/10)+"Hz";
}
  

function etalon2(){
var nm1h=eval(document.f3.t1.value);
var nm2h=eval(document.f3.t3.value);
var px1h=eval(document.f3.t2.value);
var px2h=eval(document.f3.t4.value);
echelleh =(nm2h-nm1h)/(px2h-px1h);
origineh=eval(nm1h-(echelleh*px1h));
mesureh=document.f4.t1.value;
resultath=eval((echelleh*mesureh + origineh));
document.f4.t2.value =Math.round(100000*resultath)/100000;
etalonnage2=1;
}